Get Shipping Address

Gets a shipping address associated with an order.

Returned in the response is shipping_quotes object. Please use the Get Shipping Quotes Endpoint. Using the response will return a 204 for the shipping quote.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

order_idstringRequired
idstringRequired

Response

base_coststring

The base value of the order’s items. (Float, Float-As-String, Integer)

base_handling_coststring

The base handling charge. The value can’t be negative. (Float, Float-As-String, Integer)

citystring
companystring
cost_ex_taxstring

The value of the order’s items, excluding tax. (Float, Float-As-String, Integer)

cost_inc_taxstring

The value of the order’s items, including tax. (Float, Float-As-String, Integer)

cost_taxstring

The tax amount on the order. (Float, Float-As-String, Integer)

cost_tax_class_idinteger

The ID of the tax class applied to the product. (NOTE: Value ignored if automatic tax is enabled.)

countrystring
country_iso2string

2-letter ISO Alpha-2 code for the country.

emailstring

Recipient’s email address.

first_namestring
form_fieldslist of objects
handling_cost_ex_taxstring

The handling charge, excluding tax. The value can’t be negative. (Float, Float-As-String, Integer)

handling_cost_inc_taxstring

The handling charge, including tax. The value can’t be negative. (Float, Float-As-String, Integer)

handling_cost_taxstring
handling_cost_tax_class_idinteger

A read-only value. Do not attempt to set or modify this value in a POST or PUT operation. (NOTE: Value ignored if automatic tax is enabled on the store.)

idinteger
ID of this shipping address.
items_shippeddouble
The number of items that have been shipped.
items_totaldouble
The total number of items in the order.
last_namestring
order_idinteger
ID of the order.
phonestring

Recipient’s telephone number.

shipping_methodstring
Text code identifying the BigCommerce shipping module selected by the customer.
shipping_quotesobjectRead-only
shipping_zone_iddouble
Numeric ID of the shipping zone.
shipping_zone_namestring
Name of the shipping zone.
statestring
street_1string

Street address (first line).

street_2string

Street address (second line).

zipstring
Zip or postal code, as a string.